%define pypi_name pyramid

Name:           python-%{pypi_name}
Version:        2.0.2
Release:        %mkrel 2
Summary:        The Pyramid Web Framework, a Pylons project
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/pyramid/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Pyramid is a small, fast, down-to-earth, open source Python web framework. It
makes real-world web application development and deployment more fun, more
predictable, and more productive.
%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
Requires:       python3-repoze.lru

%description -n python3-%{pypi_name}
Pyramid is a small, fast, down-to-earth, open source Python web framework. It
makes real-world web application development and deployment more fun, more
predictable, and more productive.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyramid

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/pdistreport
%{_bindir}/prequest
%{_bindir}/proutes
%{_bindir}/pserve
%{_bindir}/pshell
%{_bindir}/ptweens
%{_bindir}/pviews


%changelog
* Sun Mar 02 2025 wally <wally> 2.0.2-2.mga10
+ Revision: 2157384
- rebuild for python3.13

* Mon Feb 05 2024 papoteur <papoteur> 2.0.2-1.mga10
+ Revision: 2037210
- new version 2.0.2

* Wed Mar 23 2022 umeabot <umeabot> 2.0-3.mga9
+ Revision: 1822884
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 2.0-2.mga9
+ Revision: 1775614
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2.0-1.mga9
+ Revision: 1706238
- new version 2.0

* Sat Jan 02 2021 guillomovitch <guillomovitch> 1.10.5-1.mga8
+ Revision: 1668278
- new version 1.10.5

* Fri Jul 24 2020 ovitters <ovitters> 1.10.4-4.mga8
+ Revision: 1608632
- rebuild for getting rid of pythonegg

* Sun Feb 16 2020 umeabot <umeabot> 1.10.4-3.mga8
+ Revision: 1534290
- Mageia 8 Mass Rebuild

* Wed Oct 02 2019 guillomovitch <guillomovitch> 1.10.4-2.mga8
+ Revision: 1448949
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.10.4-1.mga8
+ Revision: 1417123
- imported package python-pyramid

